<template>
    <div>
        <p v-bind:class="color">
            {{msg}}
        </p>
        <Userform v-bind:user="user" v-on:submit="register()" v-on:back="back()">
    
        </Userform>
    </div>
</template>

<script>

import Userform from './UserForm.vue'
import {
    register
} from '@/api/auth.service.js'
export default {
    data() {
        return {
            user: {

            },
            confirm: "",
            interact: true,
            color: "black",
            msg: ""
        }
    },
    methods: {
        register: function () {
            register(this.user).then((response) => {
                this.$router.go(-1);
            }).catch((error) => {
                if (error.status === 400) {
                    this.msg = "Cette adresse email est déjà utilisée ou invalide";
                    this.color = "red";
                } else {
                    this.msg = "une erreur s'est produite, Veuillez réssayez";
                    this.color = "red";
                }
            })
        },
        back: function () {
            this.$router.go(-1);
        }
    }, components: {
        Userform
    }
}
</script>

<style scoped>
.black {
    color: black;
}

.red {
    color: red;
}
</style>
